org.jboss.jca.common.metadata.ironjacamar

## Class IronJacamarParser

- java.lang.Object
- - org.jboss.jca.common.metadata.common.AbstractParser
  - - org.jboss.jca.common.metadata.common.CommonIronJacamarParser
    - - org.jboss.jca.common.metadata.ironjacamar.IronJacamarParser

- All Implemented Interfaces:
    MetadataParser<org.jboss.jca.common.api.metadata.resourceadapter.Activation>

      public class IronJacamarParser
      extends CommonIronJacamarParser
      implements MetadataParser<org.jboss.jca.common.api.metadata.resourceadapter.Activation>

  An IronJacamarParserr.
  Author:
    Jesper Pedersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IronJacamarParser.Tag` A Tag.

  - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.common.metadata.common.AbstractParser

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IronJacamarParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.jca.common.api.metadata.resourceadapter.Activation` | `parse(java.io.InputStream xmlInputStream)` Parse the xml file and return the JCAMetaData for which the concrete parser is designed.
    `org.jboss.jca.common.api.metadata.resourceadapter.Activation` | `parse(javax.xml.stream.XMLStreamReader reader)` Parse the xml file and return the JCAMetaData for which the concrete parser is designed.

    - ### Methods inherited from class org.jboss.jca.common.metadata.common.CommonIronJacamarParser

      `parseAdminObjects, parseConnectionDefinitions, parseWorkManager, parseWorkManagerSecurity`

    - ### Methods inherited from class org.jboss.jca.common.metadata.common.AbstractParser

      `attributeAsBoolean, attributeAsInt, attributeAsString, elementAsBoolean, elementAsFlushStrategy, elementAsInteger, elementAsLong, elementAsString, isSystemPropertiesResolved, parseCapacity, parseConfigProperty, parseCredential, parseExtension, parsePool, parseRecovery, parseSecuritySettings, parseTimeOut, parseValidation, parseXaPool, setSystemPropertiesResolved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.jca.common.metadata.MetadataParser

      `isSystemPropertiesResolved, setSystemPropertiesResolved`

- - ### Constructor Detail

    - #### IronJacamarParser

          public IronJacamarParser()

  - ### Method Detail

    - #### parse

          public org.jboss.jca.common.api.metadata.resourceadapter.Activation parse(java.io.InputStream xmlInputStream)
                                                                             throws java.lang.Exception

      Description copied from interface: `MetadataParser`
      Parse the xml file and return the JCAMetaData for which the concrete parser is designed. Note that is responsibility of the client to open and close the stream
      Specified by:
        `parse` in interface `MetadataParser<org.jboss.jca.common.api.metadata.resourceadapter.Activation>`
      Parameters:
        `xmlInputStream` - an InputStrema opened on the xml file to parse
      Returns:
        The metadata
      Throws:
        `java.lang.Exception` - Thrown if an error occurs

    - #### parse

          public org.jboss.jca.common.api.metadata.resourceadapter.Activation parse(javax.xml.stream.XMLStreamReader reader)
                                                                             throws java.lang.Exception

      Description copied from interface: `MetadataParser`
      Parse the xml file and return the JCAMetaData for which the concrete parser is designed. Note that is responsibility of the client to open and close the stream
      Specified by:
        `parse` in interface `MetadataParser<org.jboss.jca.common.api.metadata.resourceadapter.Activation>`
      Parameters:
        `reader` - an XMLStreamReader opened on the xml file to parse
      Returns:
        The metadata
      Throws:
        `java.lang.Exception` - Thrown if an error occurs

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)